<?php

namespace App\Http\Controllers;

use App\Models\Banner;
use Illuminate\Http\Request;

class BannerController extends Controller
{

    public function index()
    {
        $banner = Banner::orderBy('id', 'DESC')->get();


        return view('backend.modules.banner.index', compact('banner'));
    }


    public function create()
    {
        return view('backend.modules.banner.create');
    }

    public function store(Request $request)
    {
        $request->validate([
            'title' => 'nullable|string',
            'image' => 'nullable|image'
        ]);

        $banner = Banner::create([
            'title' => $request->input('title'),
        ]);

        if ($request->hasFile('image')) {
            $image = $request->file('image');
            $imageName = time() . '_' . $image->getClientOriginalName();
            $image->move(public_path('images/uploads'), $imageName);
            $banner->update(['image' => 'images/uploads/' . $imageName]);
        }

        return redirect()->route('banner.index');
    }


    public function show($id)
    {
        //
    }

    public function edit($id)
    {
        $banner = Banner::findOrFail($id);

        return view('backend.modules.banner.edit', compact('banner'));
    }

    public function update(Request $request, $id)
    {
        $request->validate([
            'title' => 'nullable|string',
            'image' => 'nullable|image|max:2048',
        ]);

        $banner = Banner::findOrFail($id);

        $updateData = [
            'title' => $request->input('title'),
        ];

        if ($request->hasFile('image')) {
            $image = $request->file('image');
            $imageName = time() . '_' . $image->getClientOriginalName();
            $image->move(public_path('images/uploads'), $imageName);
            $updateData['image'] = 'images/uploads/' . $imageName;
        }
        // Update the banner record
        $banner->update($updateData);

        return redirect()->route('banner.index');
    }

    public function destroy($id)
    {
        $banner = Banner::findOrFail($id);
        $banner->delete();

        return redirect()->route('banner.index');
    }
}
