<?php

namespace App\Http\Controllers;

use App\Models\ContactUs;
use Illuminate\Http\Request;
use Yajra\DataTables\DataTables;

class ContactUsController extends Controller
{
    public function index()
    {
        $contact_us = ContactUs::orderBy('id', 'DESC')->get();


        return view('backend.modules.contact_us.index', compact('contact_us'));
    }


    public function store(Request $request)
    {
        $request->validate([
            'name' => 'required|string|max:255',
            'email' => 'required|email|max:255',
            'phone_no' => 'nullable|string|max:255',
            'subject' => 'nullable|string|max:20',
            'message' => 'required|string',
        ]);

        // Save form data to the database
        ContactUs::create($request->all());

        // Redirect with success message
        return back()->with('success', 'Form submitted successfully!');
    }
    public function destroy($id)
    {
        $contacts = ContactUs::findOrFail($id);
        $contacts->delete();

        return redirect()->route('contacts.index');
    }
}
