<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class ApplicationCareer extends Model
{
    use HasFactory;

    // Define the table if not following Laravel's conventions
    protected $table = 'application_career';

    // Define fillable attributes
    protected $fillable = [
        'application_id',
        'career_id',
    ];

    // Define the relationship to Application
    public function application()
    {
        return $this->belongsTo(Application::class, 'application_id', 'id');
    }

    // Define the relationship to Career
    public function career()
    {
        return $this->belongsTo(Career::class, 'career_id', 'id');
    }

    public function applicationCareerStatus()
    {
        return $this->hasMany(ApplicationCareerStatus::class, 'application_career_id', 'id'); // Assuming 'id' is the primary key
    }

    public function careers()
    {
        return $this->belongsTo(Career::class, 'application_id'); // Adjust this based on your actual relationship
    }
    // Define the relationship to ApplicationCareerStatus
    public function statuses()
    {
        return $this->hasMany(ApplicationCareerStatus::class);
    }
}
