<?php

namespace App\Models;

use App\Models\ApplicationCareer;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Factories\HasFactory;

class Career extends Model
{
    use HasFactory;

    protected $table = 'careers';


    protected $fillable = ['category_id', 'jobtitle', 'subtitle', 'job_type', 'work_schedule', 'rate', 'location', 'description'];

    public function category()
    {
        return $this->belongsTo(Category::class);
    }

    public function responsibilities()
    {
        return $this->hasMany(JobResponsibility::class);
    }

    public function requirements()
    {
        return $this->hasMany(Requirement::class);
    }

    public function levels()
    {
        return $this->hasMany(CareerLevel::class);
    }

    public function yearsOfExperience()
    {
        return $this->hasMany(YearOfExperience::class);
    }

    public function specializations()
    {
        return $this->hasMany(JobSpecialization::class);
    }

    public function qualifications()
    {
        return $this->hasMany(Qualification::class);
    }

    public function applications()
    {
        return $this->belongsToMany(Application::class, 'application_career')

            ->withPivot('id');
    }
}
