<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('application_career_status', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('application_career_id'); // Foreign key to application_career table
            $table->string('status'); // Status of the application for this career
            $table->text('remarks')->nullable(); // Remarks or notes for the status

            // Foreign key constraints
            $table->foreign('application_career_id')->references('id')->on('application_career')->onDelete('cascade');

            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('application_career_status');
    }
};
