@extends('backend.layouts.app')

@section('content')

<div class="container pt-5">
    <div class="card p-4 shadow">
        <h1 class="mb-4 text-center">Edit Banner</h1>
        <form action="{{ route('banner.update', $banner->id) }}" method="POST" enctype="multipart/form-data">
            @csrf
            @method('PUT')

            <div class="mb-3">
                <label for="title" class="form-label">Title</label>
                <textarea name="title" id="title" class="form-control">{{ $banner->title }}</textarea>
            </div>
            <script src="https://cdn.ckeditor.com/4.16.0/standard/ckeditor.js"></script>
            <script>
                CKEDITOR.replace('title');
            </script>

            <div class="mb-3">
                <label for="image" class="form-label">Image</label>
                <input type="file" name="image" id="image" class="form-control">
                @if($banner->image)
                <img src="{{ asset($banner->image) }}" alt="Current Banner Image" class="img-thumbnail mt-2" style="width: 8rem; height: 8rem;">
                @endif
            </div>

            <button type="submit" class="btn btn-primary">Update Banner</button>
        </form>
    </div>
</div>


@endsection