@extends('backend.layouts.app')

@section('content')

<div class="container pt-5">
    <div class="card p-4 shadow">
        <h1 class="mb-4 text-center">Edit Service</h1>
        <form action="{{ route('services.update', $services->id) }}" method="POST" enctype="multipart/form-data">
            @csrf
            @method('PUT')

            <div class="mb-3">
                <label for="title" class="form-label">Title</label>
                <input type="text" name="title" id="title" class="form-control" value="{{ $services->title }}" required>
            </div>
            <div class="mb-3">
                <label for="subtitle" class="form-label">Subtitle</label>
                <input type="text" name="subtitle" id="subtitle" class="form-control" value="{{ $services->subtitle }}" required>
            </div>
            <div class="mb-3">
                <label for="description" class="form-label">Description</label>
                <textarea name="description" id="description" class="form-control">{{ $services->description }}</textarea>
            </div>

            <script src="https://cdn.ckeditor.com/4.16.0/standard/ckeditor.js"></script>
            <script>
                CKEDITOR.replace('description');
            </script>

            <div class="mb-3">
                <label for="image" class="form-label">Image</label>
                <input type="file" name="image" id="image" class="form-control">
                @if($services->image)
                <img src="{{ asset($services->image) }}" alt="Current Banner Image" class="img-thumbnail mt-2" style="width: 8rem; height: 8rem;">
                @endif
            </div>

            <button type="submit" class="btn btn-primary">Update Service</button>
        </form>
    </div>
</div>


@endsection