@extends('backend.layouts.app')

@section('content')

<div class="pt-5">
    <div class="container max-w-lg p-4 mx-auto bg-white rounded shadow-lg">
        <h1 class="mb-6 display-5 fw-bold text-dark">Create User</h1>
        <form action="{{ route('users.store') }}" method="POST" enctype="multipart/form-data" class="space-y-4 ">
            @csrf
            <div class="mb-3">
                <label for="name" class="form-label">Name</label>
                <input type="text" name="name" id="name" class="form-control" required>
            </div>
            <div class="mb-3">
                <label for="email" class="form-label">Email</label>
                <input type="email" name="email" id="email" class="form-control" required>
            </div>
            <div class="mb-3">
                <label for="password" class="form-label">Password</label>
                <input type="password" name="password" id="password" class="form-control" required>
            </div>
            <div class="mb-3">
                <label for="role" class="form-label">Role</label>
                <select name="role" id="role" class="form-control">
                    <option value="">Role</option>
                    <option value="admin">Admin</option>
                    <option value="user">Applicant</option>
                    <option value="recruiter">Recruiter</option>
                </select>
            </div>
            <button type="submit" class="btn btn-primary">Create User</button>
        </form>
    </div>
</div>


@endsection