@extends('frontend.layouts.app2')

@section('title')

@endsection

@section('seo')
<title>Your Trusted Service Contracting Partner | Beta Com Resources Inc.</title>
<meta property="og:locale" content="en_US" />
<meta property="og:url" content="" />
<meta property="og:type" content="website" />
<meta property="og:title" content="Your Trusted Service Contracting Partner | Beta Com Resources Inc." />
<meta property="og:description" content="Discover Beta Com Resources Inc., a dynamic service contracting company offering Manufacturing, Maintenance, Retail Support, and Janitorial services. Backed by industry leaders, we provide innovative workforce solutions, enriching lives with employment opportunities and tailored services." />
<meta property="og:site_name" content="Beta Com Resources Inc." />
<meta property="og:image" content="{{ asset('images/thumbnail.jpg') }}" />
<meta property="og:thumbnail" content="{{ asset('images/thumbnail.jpg') }}" />
<meta property="og:keywords" content="Beta Com Resources Inc., Service contracting, Workforce solutions, Manufacturing services, Maintenance solutions, Retail support, Janitorial services, Full outsourcing, Reliable business partner, Innovative solutions, Agile workforce, Skilled manpower, Workforce training, Background checking, Philippine services, Business processes, Dynamic service provider, Enriching lives through employment, Industry leaders, Service excellence">
@endsection

@section('content')
<h3>Welcome, {{ Auth::user()->name }}!</h3>


<div class="container p-4 mx-auto">
    <h1 class="mb-4 h2 fw-bold">Application Details</h1>

    <div class="card">
        <div class="card-body">
            <h4>Personal Information</h4>
            <p><strong>First Name:</strong> {{ $application->first_name }}</p>
            <p><strong>Last Name:</strong> {{ $application->last_name }}</p>
            <p><strong>Middle Name:</strong> {{ $application->middle_name }}</p>
            <p><strong>Suffix:</strong> {{ $application->suffix }}</p>
            <p><strong>Sex:</strong> {{ $application->sex }}</p>
            <p><strong>Religion:</strong> {{ $application->religion }}</p>
            <p><strong>Birth Date:</strong> {{ $application->birth_date }}</p>
            <p><strong>Birth Place:</strong> {{ $application->birth_place }}</p>
            <p><strong>Email:</strong> {{ $application->email }}</p>
            <p><strong>Phone Number:</strong> {{ $application->phone_no }}</p>
            <p><strong>Home Address:</strong> {{ $application->home_address }}</p>
            <p><strong>City:</strong> {{ $application->city }}</p>
            <p><strong>Province:</strong> {{ $application->province }}</p>
            <p><strong>Region:</strong> {{ $application->region }}</p>
            <p><strong>Education:</strong> {{ $application->education }}</p>
            <p><strong>Degree:</strong> {{ $application->degree }}</p>
            <p><strong>Tesda:</strong> {{ $application->tesda }}</p>
            <p><strong>Employment Status:</strong> {{ $application->employment_status }}</p>
            <p>
                <strong>
                    What's the most difficult situation in your life and how did you overcome it?
                    <br>
                    Ano ang pinakamahirap na sitwasyon sa iyong buhay at paano mo ito nalampasan?:
                </strong>
                <br>
                Answer: {{ $application->question_1 }}
            </p>
            <p>
                <strong>
                    Why should we choose you amongst other candidates?
                    <br>
                    Bakit ka namin pipiliin sa iba pang mga kandidato?:
                </strong>
                <br>
                Answer: {{ $application->question_2}}
            </p>
            <p>
                <strong>
                    Are you willing to commute and/or relocate in the assigned area?
                    <br>
                    Handa ka bang mag-commute at/o lumipat sa nakatalagang lugar?:
                </strong>
                <br>
                Answer: {{ $application->question_3}}
            </p>
            <h4>Work Experiences</h4>
            <div class="row">
                @foreach ($application->workExperiences as $applications)
                <div class="col-6">
                    <p><strong>Company Name:</strong> {{ $applications->company_name }}</p>
                    <p><strong>Job Title:</strong> {{ $applications->job_title }}</p>
                    <p><strong>Start Date:</strong> {{ $applications->start_date }}</p>
                    <p><strong>End Date:</strong> {{ $applications->end_date }}</p>
                </div>
                @endforeach
            </div>
        </div>

    </div>
    <div class="my-5">
        @if (!$exists)
        <form enctype="multipart/form-data" method="POST" action="{{ route('hire.applicant', $pivotId) }}">
            @csrf
            <div class="text-center">
                <button class="btn bg-color-light border-0 rounded-0 px-5" style="align-items: center;">HIRE APPLICANT</button>
            </div>
        </form>
        @endif
    </div>
</div>
@endsection