@extends('frontend.layouts.app2')

@section('title')

@endsection

@section('seo')
<title>Your Trusted Service Contracting Partner | Beta Com Resources Inc.</title>
<meta property="og:locale" content="en_US" />
<meta property="og:url" content="" />
<meta property="og:type" content="website" />
<meta property="og:title" content="Your Trusted Service Contracting Partner | Beta Com Resources Inc." />
<meta property="og:description" content="Discover Beta Com Resources Inc., a dynamic service contracting company offering Manufacturing, Maintenance, Retail Support, and Janitorial services. Backed by industry leaders, we provide innovative workforce solutions, enriching lives with employment opportunities and tailored services." />
<meta property="og:site_name" content="Beta Com Resources Inc." />
<meta property="og:image" content="{{ asset('images/thumbnail.jpg') }}" />
<meta property="og:thumbnail" content="{{ asset('images/thumbnail.jpg') }}" />
<meta property="og:keywords" content="Beta Com Resources Inc., Service contracting, Workforce solutions, Manufacturing services, Maintenance solutions, Retail support, Janitorial services, Full outsourcing, Reliable business partner, Innovative solutions, Agile workforce, Skilled manpower, Workforce training, Background checking, Philippine services, Business processes, Dynamic service provider, Enriching lives through employment, Industry leaders, Service excellence">
@endsection

@section('content')
<h3>Welcome, {{ Auth::user()->name }}!</h3>

<h1>Careers</h1>

<div class="table-responsive">
    <table class="table">
        <thead>
            <tr>
                <th scope="col">ID</th>
                <th scope="col">Job Title</th>
                <th scope="col">Job Type</th>
                <th scope="col">Location</th>
                <th scope="col">Description</th>
                <th scope="col" class="text-center">Actions</th>
            </tr>
        </thead>
        <tbody>
            @forelse($careers as $career)
            <tr>
                <td>{{ $career->id }}</td>
                <td>{{ $career->jobtitle }}</td>
                <td>{{ $career->job_type }}</td>
                <td>{{ $career->location }}</td>
                <td>{!! $career->description !!}</td>
                <td>
                    <form method="GET" action="{{ url('recruiter-applicants', $career->id) }}">

                        <div class="text-center">

                            <button class="btn bg-color-light border-0 rounded-0 px-5" style="align-items: center;">VIEW APPLICANTS</button>

                        </div>
                    </form>
                </td>
            </tr>
            @empty
            <tr>
                <td colspan="4">No careers found.</td> <!-- Updated colspan to 4 to match the number of columns -->
            </tr>
            @endforelse
        </tbody>
    </table>
</div>

<style>
    table,
    th,
    td {
        border: none;
    }

    .contact-bg {
        background-color: #0f7170;
        height: 20vh;
        background-position: center;
        background-size: cover;

        display: flex;
        justify-content: center;
        align-items: center;
    }

    @media (max-width: 768px) {
        .contact-bg {
            height: 25vh;
        }
    }
</style>
@endsection