<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <meta name="csrf-token" content="<?php echo e(csrf_token()); ?>" />
    <link rel="stylesheet" href="<?php echo e(asset('css/app.css')); ?>">
    <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700&display=fallback">

    <link rel="stylesheet" href="<?php echo e(asset('css/style.css')); ?>">
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.2.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-rbsA2VBKQhggwzxH7pPCaAqO46MgnOM80zW1RWuH61DGLwZJEdK2Kadq2F9CUG65" crossorigin="anonymous"> <!-- Bootstrap -->
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.4.0/css/all.min.css" integrity="sha512-iecdLmaskl7CVkqkXNQ/ZH/XLlvWZOJyj7Yy7tcenmpD1ypASozpmT/E0iPtmFIB46ZmdtAc9eNBvH0H/ZpiBw==" crossorigin="anonymous" referrerpolicy="no-referrer" /> <!-- Font Awesome -->
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap-icons@1.10.5/font/bootstrap-icons.css"> <!-- BS Icons -->

    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link href="https://fonts.googleapis.com/css2?family=Inter:wght@200;700&family=Bebas+Neue&family=Montserrat:wght@400;700&display=swap" rel="stylesheet"> <!-- Google Fonts -->

    <link href="https://unpkg.com/aos@2.3.1/dist/aos.css" rel="stylesheet"> <!-- AOS Animation -->
    <link href='https://unpkg.com/boxicons@2.1.4/css/boxicons.min.css' rel='stylesheet'>
    <link rel="icon" href="<?php echo e(asset('images/favicon.ico')); ?>">

    <!-- <title>
        <?php echo $__env->yieldContent('title', env('APP_NAME')); ?>
    </title> -->

    <?php echo $__env->yieldContent('seo'); ?>

    <?php $__env->startSection('seo'); ?>
    <meta property="og:locale" content="en_US" />
    <meta property="og:url" content="" />
    <meta property="og:type" content="website" />
    <meta property="og:title" content="Your Trusted Service Contracting Partner | Beta Com Resources Inc." />
    <meta property="og:description" content="Discover Beta Com Resources Inc., a dynamic service contracting company offering Manufacturing, Maintenance, Retail Support, and Janitorial services. Backed by industry leaders, we provide innovative workforce solutions, enriching lives with employment opportunities and tailored services." />
    <meta property="og:site_name" content="Beta Com Resources Inc." />
    <meta property="og:image" content="<?php echo e(asset('images/thumbnail.jpg')); ?>" />
    <meta property="og:thumbnail" content="<?php echo e(asset('images/thumbnail.jpg')); ?>" />
    <meta property="og:keywords" content="Beta Com Resources Inc., Service contracting, Workforce solutions, Manufacturing services, Maintenance solutions, Retail support, Janitorial services, Full outsourcing, Reliable business partner, Innovative solutions, Agile workforce, Skilled manpower, Workforce training, Background checking, Philippine services, Business processes, Dynamic service provider, Enriching lives through employment, Industry leaders, Service excellence">

    <?php $__env->stopSection(); ?>

</head>

<body>

    <?php echo $__env->make('frontend.layouts.header', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

    <div>
            <?php echo $__env->yieldContent('content'); ?>

            <!-- Chatbot Container -->
            <div id="chatbot-container" class="position-fixed bottom-0 end-0 m-3" style="z-index: 1000; display: none; bottom: 80px; right: 20px;">
                <div id="chatbox" class="card shadow-lg" style="width: 300px;">
                    <div class="card-header d-flex justify-content-between align-items-center">
                        <h5 class="card-title mb-0">Job Chatbot</h5>
                        <button class="btn btn-sm btn-danger" id="closeChatbot">X</button>
                    </div>
                    <div class="card-body p-3" id="chatlogs" style="height: 200px; overflow-y: auto; border-bottom: 1px solid #ddd;">
                        <!-- Chat logs will appear here -->
                    </div>
                    <div class="card-footer">
                        <div class="input-group">
                            <input type="text" class="form-control" id="userMessage" placeholder="Ask about jobs..." aria-label="Message" aria-describedby="sendMessageButton">
                            <button class="btn btn-primary" type="button" id="sendMessageButton">Send</button>
                        </div>
                    </div>
                </div>
            </div>

            <!-- Circular Button -->
            <button id="chatbotToggle" class="btn btn-info bg-color-light rounded-circle" style="position: fixed; bottom: 10px; right: 20px; width: 60px; height: 60px; display: flex; justify-content: center; align-items: center; z-index: 1001;">
                <i class="fas fa-comments"></i> <!-- Font Awesome icon for chat -->
            </button>

            <!-- JavaScript -->
            <script>
                // Get elements
                const chatbotContainer = document.getElementById('chatbot-container');
                const chatbotToggle = document.getElementById('chatbotToggle');
                const closeChatbot = document.getElementById('closeChatbot');

                // Function to open the chatbot
                chatbotToggle.addEventListener('click', function() {
                    chatbotContainer.style.display = 'block'; // Show the chatbot
                    chatbotToggle.style.display = 'none'; // Hide the circular button
                });

                // Function to close the chatbot
                closeChatbot.addEventListener('click', function() {
                    chatbotContainer.style.display = 'none'; // Hide the chatbot
                    chatbotToggle.style.display = 'flex'; // Show the circular button
                });
            </script>


            <script>
                document.addEventListener('DOMContentLoaded', function() {
                    const chatlogs = document.getElementById('chatlogs');
                    const userMessageInput = document.getElementById('userMessage');
                    const sendMessageButton = document.getElementById('sendMessageButton');

                    // Initialize chat with the default message
                    addMessageToChatlog('Hello! Type "hello" to start the conversation.', 'bot');

                    sendMessageButton.addEventListener('click', sendMessage);

                    function sendMessage() {
                        const userMessage = userMessageInput.value.trim();
                        if (userMessage === '') {
                            return;
                        }

                        addMessageToChatlog(userMessage, 'user');

                        fetch('/chatbot/send', {
                                method: 'POST',
                                headers: {
                                    'Content-Type': 'application/json',
                                    'X-CSRF-TOKEN': document.querySelector('meta[name="csrf-token"]').getAttribute('content')
                                },
                                body: JSON.stringify({
                                    message: userMessage
                                })
                            })
                            .then(response => response.json())
                            .then(data => {
                                addMessageToChatlog(data.response, 'bot');
                                userMessageInput.value = '';
                            })
                            .catch(error => {
                                console.error('Error:', error);
                            });
                    }

                    function addMessageToChatlog(message, sender) {
                        const messageDiv = document.createElement('div');
                        messageDiv.className = sender === 'bot' ? 'bg-light p-2 rounded mb-2' : 'bg-primary text-white p-2 rounded mb-2 text-end';
                        messageDiv.textContent = message;
                        chatlogs.appendChild(messageDiv);
                        chatlogs.scrollTop = chatlogs.scrollHeight;
                    }
                });
            </script>
        </div>

    <?php echo $__env->make('frontend.layouts.footer', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

    <?php echo $__env->yieldContent('before-js'); ?>

    <script src="<?php echo e(asset('js/app.js')); ?>"></script>

    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.2.3/dist/js/bootstrap.bundle.min.js" integrity="sha384-kenU1KFdBIe4zVF0s0G1M5b4hcpxyD9F7jL+jjXkk+Q2h455rYXK/7HAuoJl+0I4" crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.7.0/jquery.min.js"></script>
    <script src="https://unpkg.com/aos@2.3.1/dist/aos.js"></script>
    <script>
        AOS.init({
            duration: 1200,
        })
    </script>

    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/2.11.8/umd/popper.min.js"></script>

    <?php echo $__env->yieldContent('after-js'); ?>
</body>

</html><?php /**PATH /home/rwebserver/public_html/Betacom/resources/views/frontend/layouts/app.blade.php ENDPATH**/ ?>