

<?php $__env->startSection('content'); ?>

<div class="container p-4 mx-auto">
    <h1 class="mb-4 h2 fw-bold">Careers</h1>
    <a href="<?php echo e(route('careers.create')); ?>" class="btn btn-primary"><i class='bx bx-add-to-queue'></i> Add New Careers</a>
</div>

<section class="container px-4 mx-auto">
    <div class="table-responsive">
        <table id="myTable" class="table table-bordered table-hover">
            <thead class="table-light">
                <tr>
                    <th scope="col">Id</th>
                    <th scope="col">Job Title</th>
                    <th scope="col">Job Type</th>
                    <th scope="col">Work Schedule</th>
                    <th scope="col">Rate</th>
                    <th scope="col">Location</th>
                    <th scope="col">Description</th>
                    <th scope="col" class="text-center">Actions</th>
                </tr>
            </thead>
            <tbody>
                <?php $__currentLoopData = $careers; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $career): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <tr>
                    <td><?php echo e($career->id); ?></td>
                    <td><?php echo e($career->jobtitle); ?></td>
                    <td><?php echo e($career->job_type); ?></td>
                    <td><?php echo e($career->work_schedule); ?></td>
                    <td><?php echo e($career->rate); ?></td>
                    <td><?php echo e($career->location); ?></td>
                    <td><?php echo $career->description; ?></td>
                    <td>
                        <form method="GET" action="<?php echo e(route('careers.edit', $career->id)); ?>">
                            <button class="btn btn-primary btn-block mb-2">Edit</button>
                        </form>
                        <form method="POST" action="<?php echo e(route('careers.destroy', $career->id)); ?>"><?php echo csrf_field(); ?> <?php echo method_field('DELETE'); ?>
                            <button class="btn btn-danger btn-block mb-2">Delete</button>
                        </form>

                        <!-- View Applicants button redirects to the new page -->
                        <a href="<?php echo e(route('careers.applicants', $career->id)); ?>" class="btn btn-info btn-block mb-2">View Applicants</a>
                    </td>
                </tr>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </tbody>
        </table>
    </div>
</section>


<?php $__env->stopSection(); ?>


<?php $__env->startSection('css'); ?>
<link rel="stylesheet" href="https://cdn.datatables.net/1.11.3/css/dataTables.bootstrap4.min.css">
<?php $__env->stopSection(); ?>

<?php $__env->startSection('js'); ?>
<script src="https://cdn.datatables.net/1.11.3/js/jquery.dataTables.min.js"></script>
<script src="https://cdn.datatables.net/1.11.3/js/dataTables.bootstrap4.min.js"></script>
<script>
    $(document).ready(function() {
        $('#myTable').DataTable({
            order: [
                [0, 'desc']
            ]
        });
    });
</script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('backend.layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/rwebserver/public_html/Betacom/resources/views/backend/modules/careers/index.blade.php ENDPATH**/ ?>