<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <meta name="csrf-token" content="<?php echo e(csrf_token()); ?>" />
    <link rel="stylesheet" href="<?php echo e(asset('css/app.css')); ?>">
    <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700&display=fallback">

    <link rel="stylesheet" href="<?php echo e(asset('css/style.css')); ?>">
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.2.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-rbsA2VBKQhggwzxH7pPCaAqO46MgnOM80zW1RWuH61DGLwZJEdK2Kadq2F9CUG65" crossorigin="anonymous"> <!-- Bootstrap -->
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.4.0/css/all.min.css" integrity="sha512-iecdLmaskl7CVkqkXNQ/ZH/XLlvWZOJyj7Yy7tcenmpD1ypASozpmT/E0iPtmFIB46ZmdtAc9eNBvH0H/ZpiBw==" crossorigin="anonymous" referrerpolicy="no-referrer" /> <!-- Font Awesome -->
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap-icons@1.10.5/font/bootstrap-icons.css"> <!-- BS Icons -->

    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link href="https://fonts.googleapis.com/css2?family=Inter:wght@200;700&family=Bebas+Neue&family=Montserrat:wght@400;700&display=swap" rel="stylesheet"> <!-- Google Fonts -->

    <link href="https://unpkg.com/aos@2.3.1/dist/aos.css" rel="stylesheet"> <!-- AOS Animation -->
    <link href='https://unpkg.com/boxicons@2.1.4/css/boxicons.min.css' rel='stylesheet'>
    <link rel="icon" href="<?php echo e(asset('images/favicon.ico')); ?>">

    <!-- <title>
        <?php echo $__env->yieldContent('title', env('APP_NAME')); ?>
    </title> -->

    <?php echo $__env->yieldContent('seo'); ?>

    <?php $__env->startSection('seo'); ?>
    <meta property="og:locale" content="en_US" />
    <meta property="og:url" content="" />
    <meta property="og:type" content="website" />
    <meta property="og:title" content="Your Trusted Service Contracting Partner | Beta Com Resources Inc." />
    <meta property="og:description" content="Discover Beta Com Resources Inc., a dynamic service contracting company offering Manufacturing, Maintenance, Retail Support, and Janitorial services. Backed by industry leaders, we provide innovative workforce solutions, enriching lives with employment opportunities and tailored services." />
    <meta property="og:site_name" content="Beta Com Resources Inc." />
    <meta property="og:image" content="<?php echo e(asset('images/thumbnail.jpg')); ?>" />
    <meta property="og:thumbnail" content="<?php echo e(asset('images/thumbnail.jpg')); ?>" />
    <meta property="og:keywords" content="Beta Com Resources Inc., Service contracting, Workforce solutions, Manufacturing services, Maintenance solutions, Retail support, Janitorial services, Full outsourcing, Reliable business partner, Innovative solutions, Agile workforce, Skilled manpower, Workforce training, Background checking, Philippine services, Business processes, Dynamic service provider, Enriching lives through employment, Industry leaders, Service excellence">

    <?php $__env->stopSection(); ?>

</head>

<body>

    <?php echo $__env->make('frontend.layouts.header', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

    <div class="container-fluid">
        <div class="row flex-nowrap">
            <!-- Sidebar (Visible on larger screens) -->
            <div style="background-color:#0f7170;" class="col-auto col-md-3 col-xl-2 px-sm-2 px-0 d-none d-md-block">
                <div class="d-flex flex-column align-items-center align-items-sm-start px-3 pt-2 text-white min-vh-100">
                    <a href="/" class="d-flex align-items-center pb-3 mb-md-0 me-md-auto text-white text-decoration-none">
                        <div class="text-center">
                            <!-- Responsive logo and header -->
                            <img src="<?php echo e(asset('images/banner-line.png')); ?>" class="d-block align-middle img-fluid ps-5 mx-auto" alt="..." width="250" data-aos="fade-left">
                            <h1 class="text-white m-0" data-aos="zoom-out">MY ACCOUNT</h1>
                            <img src="<?php echo e(asset('images/banner-line.png')); ?>" class="d-block align-middle img-fluid pe-5 mx-auto" alt="..." width="250" data-aos="fade-right">
                        </div>
                    </a>

                    <!-- Navigation Menu -->
                    <ul class="nav nav-pills flex-column mb-sm-auto mb-0 align-items-center align-items-sm-start w-100 mt-5" id="menu">
                        <?php if(Auth::check() && Auth::user()->role === 'user'): ?>
                        <li class="nav-item d-flex justify-content-between align-items-center w-100">
                            <a href="<?php echo e(url('user-dashboard')); ?>" class="nav-link align-middle px-0">
                                <span class="ms-1 d-inline text-white">Applied Jobs</span>
                            </a>
                            <i class="bx bxs-right-arrow"></i>
                        </li>
                        <hr class="w-100">
                        <?php endif; ?>
                        <?php if(Auth::check() && Auth::user()->role === 'recruiter'): ?>
                        <li class="nav-item d-flex justify-content-between align-items-center w-100">
                            <a href="<?php echo e(url('recruiter-dashboard')); ?>" class="nav-link align-middle px-0">
                                <span class="ms-1 d-inline text-white">Careers</span>
                            </a>
                            <i class="bx bxs-right-arrow"></i>
                        </li>
                        <hr class="w-100">
                        <?php endif; ?>

                        <?php if(Auth::check() && Auth::user()->role === 'recruiter'): ?>
                        <li class="nav-item d-flex justify-content-between align-items-center w-100">
                            <a href="<?php echo e(route('view.hired.applicants')); ?>" class="nav-link align-middle px-0">
                                <span class="ms-1 d-inline text-white">Hired Applicants</span>
                            </a>
                            <i class="bx bxs-right-arrow"></i>
                        </li>
                        <hr class="w-100">
                        <?php endif; ?>
                        <li class="nav-item d-flex justify-content-between align-items-center w-100">
                            <a href="<?php echo e(url('user-change-password')); ?>" class="nav-link align-middle px-0">
                                <span class="ms-1  d-inline text-white">Change Password</span>
                            </a>
                            <i class="bx bxs-right-arrow"></i>
                        </li>
                        <hr class="w-100">
                        <form class="w-100" action="<?php echo e(route('user.logout')); ?>" method="POST"><?php echo csrf_field(); ?>
                            <li class="nav-item d-flex justify-content-between align-items-center w-100">
                                <button type="submit" class="nav-link align-middle px-0">
                                    <span class="ms-1  d-inline text-white">Logout</span>
                                </button>
                                <i class="bx bxs-right-arrow"></i>
                            </li>
                        </form>
                    </ul>
                </div>
            </div>

            <!-- Main Content -->
            <div class="col py-3 position-relative">
                <!-- Floating Button for Mobile (Visible on smaller screens) -->
                <button class="btn d-flex align-items-center floating-menu-button d-md-none" type="button" data-bs-toggle="offcanvas" data-bs-target="#offcanvasSidebar" aria-controls="offcanvasSidebar">
                    <i class="bx bx-menu"></i> <span class="ms-2"></span>
                </button>
                <div class="mt-5">
                    <?php echo $__env->yieldContent('content'); ?>
                </div>

            </div>
        </div>
    </div>

    <!-- Offcanvas Sidebar (For Mobile) -->
    <div class="offcanvas offcanvas-start d-md-none" tabindex="-1" id="offcanvasSidebar" aria-labelledby="offcanvasSidebarLabel">
        <div style="background-color:#0f7170;" class="offcanvas-body p-0">
            <div class="d-flex flex-column align-items-center align-items-sm-start px-3 pt-2 text-white min-vh-100">
                <a href="/" class="d-flex align-items-center pb-3 mb-md-0 me-md-auto text-white text-decoration-none">
                    <div class="text-center">
                        <img src="<?php echo e(asset('images/banner-line.png')); ?>" class="d-block align-middle img-fluid ps-5 mx-auto" alt="..." width="250" data-aos="fade-left">
                        <h1 class="text-white m-0" data-aos="zoom-out">MY ACCOUNT</h1>
                        <img src="<?php echo e(asset('images/banner-line.png')); ?>" class="d-block align-middle img-fluid pe-5 mx-auto" alt="..." width="250" data-aos="fade-right">
                    </div>
                </a>

                <!-- Navigation Menu for Mobile -->
                <ul class="nav nav-pills flex-column mb-sm-auto mb-0 align-items-center align-items-sm-start w-100 mt-5" id="menu">
                    <?php if(Auth::check() && Auth::user()->role === 'user'): ?>
                    <li class="nav-item d-flex justify-content-between align-items-center w-100">
                        <a href="<?php echo e(url('user-dashboard')); ?>" class="nav-link align-middle px-0">
                            <span class="ms-1 d-inline text-white">Applied Jobs</span>
                        </a>
                        <i class="bx bxs-right-arrow"></i>
                    </li>
                    <?php endif; ?>
                    <?php if(Auth::check() && Auth::user()->role === 'recruiter'): ?>
                    <li class="nav-item d-flex justify-content-between align-items-center w-100">
                        <a href="<?php echo e(url('recruiter-dashboard')); ?>" class="nav-link align-middle px-0">
                            <span class="ms-1 d-inline text-white">Careers</span>
                        </a>
                        <i class="bx bxs-right-arrow"></i>
                    </li>
                    <?php endif; ?>
                    <hr class="w-100">
                    <?php if(Auth::check() && Auth::user()->role === 'recruiter'): ?>
                    <li class="nav-item d-flex justify-content-between align-items-center w-100">
                        <a href="<?php echo e(url('recruiter-dashboard')); ?>" class="nav-link align-middle px-0">
                            <span class="ms-1 d-inline text-white">Hired Appplicants</span>
                        </a>
                        <i class="bx bxs-right-arrow"></i>
                    </li>
                    <?php endif; ?>
                    <hr class="w-100">
                    <li class="nav-item d-flex justify-content-between align-items-center w-100">
                        <a href="<?php echo e(url('user-change-password')); ?>" class="nav-link align-middle px-0">
                            <span class="ms-1 d-inline text-white">Change Password</span>
                        </a>
                        <i class="bx bxs-right-arrow"></i>
                    </li>

                    <hr class="w-100">

                    <form class="w-100" action="<?php echo e(route('user.logout')); ?>" method="POST"><?php echo csrf_field(); ?>
                        <li class="nav-item d-flex justify-content-between align-items-center w-100">
                            <button type="submit" class="nav-link align-middle px-0">
                                <span class="ms-1 d-inline text-white">Logout</span>
                            </button>
                            <i class="bx bxs-right-arrow"></i>
                        </li>
                    </form>
                </ul>
            </div>
        </div>
    </div>

    <script>
        document.addEventListener('DOMContentLoaded', function() {
            var offcanvasSidebar = document.getElementById('offcanvasSidebar');
            var floatingMenuButton = document.querySelector('.floating-menu-button');
            var floatingMenuIcon = floatingMenuButton.querySelector('i');
            var floatingMenuText = floatingMenuButton.querySelector('span');

            // Change text and icon color when offcanvas is shown
            offcanvasSidebar.addEventListener('shown.bs.offcanvas', function() {
                floatingMenuIcon.style.color = 'white';
                floatingMenuText.style.color = 'white';
            });

            // Change text and icon color when offcanvas is hidden
            offcanvasSidebar.addEventListener('hidden.bs.offcanvas', function() {
                floatingMenuIcon.style.color = 'black';
                floatingMenuText.style.color = 'black';
            });
        });
    </script>

    <style>
        .floating-menu-button {
            position: absolute;
            top: 10px;
            /* Adjust to position at the top of the content */
            left: 10px;
            /* Aligns the button to the left of the content */
            z-index: 1050;
            background-color: transparent;
            border: none;
            padding: 10px 15px;
            border-radius: 50%;
        }

        .floating-menu-button i {
            font-size: 24px;
            color: black;
        }
    </style>
    <?php echo $__env->make('frontend.layouts.footer', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

    <?php echo $__env->yieldContent('before-js'); ?>

    <script src="<?php echo e(asset('js/app.js')); ?>"></script>

    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.2.3/dist/js/bootstrap.bundle.min.js" integrity="sha384-kenU1KFdBIe4zVF0s0G1M5b4hcpxyD9F7jL+jjXkk+Q2h455rYXK/7HAuoJl+0I4" crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.7.0/jquery.min.js"></script>
    <script src="https://unpkg.com/aos@2.3.1/dist/aos.js"></script>
    <script>
        AOS.init({
            duration: 1200,
        })
    </script>

    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/2.11.8/umd/popper.min.js"></script>

    <?php echo $__env->yieldContent('after-js'); ?>
</body>

</html><?php /**PATH /home/rwebserver/public_html/Betacom/resources/views/frontend/layouts/app2.blade.php ENDPATH**/ ?>