

<?php $__env->startSection('content'); ?>
<div class="container">
    <h2>Create Career</h2>
    <form action="<?php echo e(route('careers.store')); ?>" method="POST">
        <?php echo csrf_field(); ?>

        <!-- Career Details -->
        <div class="mb-3">
            <label for="jobtitle" class="form-label">Job Title</label>
            <input type="text" name="jobtitle" class="form-control" required>
        </div>
        <div class="row">
            <!-- Category -->
            <div class="mb-3 col-6">
                <label for="category_name" class="form-label">Category Name</label>
                <input type="text" name="category_name" class="form-control" required>
            </div>


            <div class="mb-3 col-6">
                <label for="job_type" class="form-label">Job Type</label>
                <select name="job_type" class="form-control" required>
                    <option value="">Select Job Type</option>
                    <option value="Functional">Functional</option>
                    <option value="Managerial">Managerial</option>
                </select>
            </div>


        </div>
        <div class="row">
            <div class="mb-3 col-4">
                <label for="work_schedule" class="form-label">Work Place</label>
                <select name="work_schedule" class="form-control" required>
                    <option value="">Select Work Place</option>
                    <option value="Remote">Remote</option>
                    <option value="On-site">On-site</option>
                </select>
            </div>

            <div class="mb-3 col-4">
                <label for="rate" class="form-label">Rate</label>
                <input type="text" step="0.01" name="rate" class="form-control" required>
            </div>
            <div class="mb-3 col-4">
                <label for="location" class="form-label">Location</label>
                <input type="text" name="location" class="form-control" required>
            </div>

        </div>
        <div class="mb-3">
            <label for="subtitle" class="form-label">Subtitle</label>
            <input type="text" name="subtitle" class="form-control" required>
        </div>
        <div class="mb-3">
            <label for="description" class="form-label">Description</label>
            <textarea name="description" class="form-control" required></textarea>
        </div>

        <script src="https://cdn.ckeditor.com/4.16.0/standard/ckeditor.js"></script>
        <script>
            CKEDITOR.replace('description');
        </script>
        <div class="row">
            <!-- Responsibilities -->
            <div class="mb-3 col-6">
                <label for="job_responsibilities" class="form-label">Job Responsibilities</label>
                <div id="responsibilities-container">
                    <input type="text" name="job_responsibilities[]" class="form-control mb-2" required>
                </div>
                <button type="button" class="btn btn-secondary" onclick="addResponsibility()">Add Responsibility</button>
                <small>Add multiple responsibilities. Use the button above to add more.</small>
            </div>

            <!-- Requirements -->
            <div class="mb-3 col-6">
                <label for="requirements" class="form-label">Requirements</label>
                <div id="requirements-container">
                    <input type="text" name="requirements[]" class="form-control mb-2" required>
                </div>
                <button type="button" class="btn btn-secondary" onclick="addRequirement()">Add Requirement</button>
                <small>Add multiple requirements. Use the button above to add more.</small>
            </div>

            <!-- Career Levels -->
            <div class="mb-3 col-6">
                <label for="career_level" class="form-label">Career Level</label>
                <div id="career-level-container">
                    <input type="text" name="career_level[]" class="form-control mb-2" required>
                </div>
                <button type="button" class="btn btn-secondary" onclick="addCareerLevel()">Add Career Level</button>
                <small>Add multiple career levels. Use the button above to add more.</small>
            </div>

            <!-- Years of Experience -->
            <div class="mb-3 col-6">
                <label for="year_of_experience" class="form-label">Years of Experience</label>
                <div id="experience-container">
                    <input type="text" name="year_of_experience[]" class="form-control mb-2" required>
                </div>
                <button type="button" class="btn btn-secondary" onclick="addExperience()">Add Years of Experience</button>
                <small>Add multiple years of experience. Use the button above to add more.</small>
            </div>

            <!-- Job Specializations -->
            <div class="mb-3 col-6">
                <label for="job_specialization" class="form-label">Job Specialization</label>
                <div id="specialization-container">
                    <input type="text" name="job_specialization[]" class="form-control mb-2" required>
                </div>
                <button type="button" class="btn btn-secondary" onclick="addSpecialization()">Add Job Specialization</button>
                <small>Add multiple specializations. Use the button above to add more.</small>
            </div>

            <!-- Qualifications -->
            <div class="mb-3 col-6">
                <label for="qualification" class="form-label">Qualification</label>
                <div id="qualification-container">
                    <input type="text" name="qualification[]" class="form-control mb-2" required>
                </div>
                <button type="button" class="btn btn-secondary" onclick="addQualification()">Add Qualification</button>
                <small>Add multiple qualifications. Use the button above to add more.</small>
            </div>
        </div>


        <button type="submit" class="btn btn-primary">Submit</button>
    </form>
</div>

<script>
    function addResponsibility() {
        const container = document.getElementById('responsibilities-container');
        const input = document.createElement('input');
        input.type = 'text';
        input.name = 'job_responsibilities[]';
        input.className = 'form-control mb-2';
        container.appendChild(input);
    }

    function addRequirement() {
        const container = document.getElementById('requirements-container');
        const input = document.createElement('input');
        input.type = 'text';
        input.name = 'requirements[]';
        input.className = 'form-control mb-2';
        container.appendChild(input);
    }

    function addCareerLevel() {
        const container = document.getElementById('career-level-container');
        const input = document.createElement('input');
        input.type = 'text';
        input.name = 'career_level[]';
        input.className = 'form-control mb-2';
        container.appendChild(input);
    }

    function addExperience() {
        const container = document.getElementById('experience-container');
        const input = document.createElement('input');
        input.type = 'text';
        input.name = 'year_of_experience[]';
        input.className = 'form-control mb-2';
        container.appendChild(input);
    }

    function addSpecialization() {
        const container = document.getElementById('specialization-container');
        const input = document.createElement('input');
        input.type = 'text';
        input.name = 'job_specialization[]';
        input.className = 'form-control mb-2';
        container.appendChild(input);
    }

    function addQualification() {
        const container = document.getElementById('qualification-container');
        const input = document.createElement('input');
        input.type = 'text';
        input.name = 'qualification[]';
        input.className = 'form-control mb-2';
        container.appendChild(input);
    }
</script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('backend.layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/rwebserver/public_html/Betacom/resources/views/backend/modules/careers/create.blade.php ENDPATH**/ ?>