

<?php $__env->startSection('title'); ?>
Hired Applicants
<?php $__env->stopSection(); ?>

<?php $__env->startSection('seo'); ?>
<title>Your Trusted Service Contracting Partner | Beta Com Resources Inc.</title>
<!-- (SEO metadata here) -->
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>
<h3>Welcome, <?php echo e(Auth::user()->name); ?>!</h3>

<h1>Hired Applicants</h1>


<div class="table-responsive">
    <table class="table">
        <thead>
            <tr>
                <th scope="col">Job Title</th>
                <th scope="col">Name</th>
                <th scope="col">Email</th>
                <th scope="col">Phone</th>
                <th scope="col">Status and Remarks</th>
                <th scope="col"></th>
            </tr>
        </thead>
        <tbody>
            <?php $__currentLoopData = $applications; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $application): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
            <?php $__currentLoopData = $application->applicationCareer; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $applicationCareer): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
            <?php if($applicationCareer->applicationCareerStatus->isNotEmpty()): ?>
            <tr>
                <td><?php echo e($applicationCareer->career->jobtitle); ?></td>
                <td><?php echo e($application->first_name); ?> <?php echo e($application->last_name); ?></td>
                <td><?php echo e($application->email); ?></td>
                <td><?php echo e($application->phone_no); ?></td>

                <td class="row align-items-center">
                    
                    <div class="col-6">
                    <!-- Button to open update modal -->
                    <button type="button" class="btn bg-color-light border-0 rounded-0 px-5" data-bs-toggle="modal" data-bs-target="#updateModal<?php echo e($applicationCareer->id); ?>">
                        Update
                    </button>
        
                    </div>
                
                    <!-- Button to open view all statuses modal -->
                    <div class="col-6">
                    <button type="button" class="btn btn-secondary border-0 rounded-0 " data-bs-toggle="modal" data-bs-target="#viewAllModal<?php echo e($applicationCareer->id); ?>">
                        View All Statuses
                    </button>    
                    </div>
                    
                </td>
                <td>
                    <form method="GET" action="<?php echo e(url('recruiter-applicants-details', ['id' => $application->id, 'career_id' => $applicationCareer->career->id])); ?>">
                        <div class="text-center">
                            <button class="btn bg-color-light border-0 rounded-0 px-5" style="align-items: center;">VIEW DETAILS</button>
                        </div>
                    </form>
                </td>
            </tr>

            <!-- Update Status Modal -->
            <div class="modal fade" id="updateModal<?php echo e($applicationCareer->id); ?>" tabindex="-1" aria-labelledby="updateModalLabel<?php echo e($applicationCareer->id); ?>" aria-hidden="true">
                <div class="modal-dialog">
                    <div class="modal-content">
                        <div class="modal-header">
                            <h5 class="modal-title" id="updateModalLabel<?php echo e($applicationCareer->id); ?>">Update Status and Remarks</h5>
                            <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                        </div>
                        <form method="POST" onsubmit="return validateCKEditor()" action="<?php echo e(route('update-status', ['applicationCareer' => $applicationCareer->id])); ?>">
                            <?php echo csrf_field(); ?>
                            <?php echo method_field('PATCH'); ?>
                            <div class="modal-body">
                                <div class="mb-3">
                                    <label for="status" class="form-label">Status</label>
                                    <select name="status" class="form-select">
                                        <option value="For Review" <?php echo e($applicationCareer->applicationCareerStatus->first()->status == 'For Review' ? 'selected' : ''); ?>>For Review</option>
                                        <option value="For Interview" <?php echo e($applicationCareer->applicationCareerStatus->first()->status == 'For Interview' ? 'selected' : ''); ?>>For Interview</option>
                                        <option value="2nd Interview" <?php echo e($applicationCareer->applicationCareerStatus->first()->status == '2nd Interview' ? 'selected' : ''); ?>>2nd Interview</option>
                                        <option value="Final Interview" <?php echo e($applicationCareer->applicationCareerStatus->first()->status == 'Final Interview' ? 'selected' : ''); ?>>Final Interview</option>
                                        <option value="Rejected" <?php echo e($applicationCareer->applicationCareerStatus->first()->status == 'Rejected' ? 'selected' : ''); ?>>Rejected</option>
                                    </select>
                                </div>
                               <div class="mb-3">
                                    <label for="remarks" class="form-label">Remarks</label>
                                            <textarea required name="remarks" class="form-control" id="remarks"></textarea>
                                </div>
                                
                                <script src="https://cdn.ckeditor.com/4.16.2/standard/ckeditor.js"></script>
                                <script>
                                    // Initialize CKEditor
                                    CKEDITOR.replace('remarks');
                                
                                    // Function to validate CKEditor content
                                    function validateCKEditor() {
                                        const remarksContent = CKEDITOR.instances.remarks.getData().trim(); // Get and trim the CKEditor content
                                        if (remarksContent === '') {
                                            alert('Remarks field cannot be empty.'); // Alert if empty
                                            return false; // Prevent form submission
                                        }
                                        return true; // Allow form submission if not empty
                                    }
                                </script>
                            </div>
                            <div class="modal-footer">
                                <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
                                <button type="submit" class="btn btn-primary">Save changes</button>
                            </div>
                        </form>
                    </div>
                </div>
            </div>

            <!-- View All Statuses Modal -->
            <div class="modal fade" id="viewAllModal<?php echo e($applicationCareer->id); ?>" tabindex="-1" aria-labelledby="viewAllModalLabel<?php echo e($applicationCareer->id); ?>" aria-hidden="true">
                <div class="modal-dialog">
                    <div class="modal-content">
                        <div class="modal-header">
                            <h5 class="modal-title" id="viewAllModalLabel<?php echo e($applicationCareer->id); ?>">All Statuses and Remarks</h5>
                            <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                        </div>
                        <div class="modal-body">
                            <ul class="list-group">
                                <?php $__currentLoopData = $applicationCareer->applicationCareerStatus; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $status): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <li class="list-group-item">
                                    <strong>Status:</strong> <?php echo e($status->status); ?><br>
                                    <strong>Remarks:</strong> <?php echo $status->remarks; ?><br>
                                    <strong>Date:</strong> <?php echo e($status->created_at->format('F j, Y')); ?>

                                </li>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </ul>
                        </div>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
                        </div>
                    </div>
                </div>
            </div>
            <?php endif; ?>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        </tbody>
    </table>
</div>


<style>
    table,
    th,
    td {
        border: none;
    }

    .contact-bg {
        background-color: #0f7170;
        height: 20vh;
        background-position: center;
        background-size: cover;
        display: flex;
        justify-content: center;
        align-items: center;
    }

    @media (max-width: 768px) {
        .contact-bg {
            height: 25vh;
        }
    }
</style>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('frontend.layouts.app2', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/rwebserver/public_html/Betacom/resources/views/frontend/pages/recruiter-hired-applicants.blade.php ENDPATH**/ ?>